# $Revision: 1.68 $, $Date: 2011/09/28 20:20:50 $
#
# Conditional build:
%bcond_without	python2		# Python 2.x module
%bcond_without	python3		# Python 3.x module
#
%define		module	pygobject
#
Summary:	Python bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GObject
Name:		python-%{module}
Version:	2.28.6
Release:	3
License:	LGPL v2+
Group:		Libraries/Python
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pygobject/2.28/%{module}-%{version}.tar.xz
# Source0-md5:	9415cb7f2b3a847f2310ccea258b101e
Patch0:		%{name}-pc.patch
Patch1:		%{name}-pyc.patch
Patch2:		gio.patch
Patch3:		%{name}-pycairo.patch
URL:		http://www.pygtk.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.7
BuildRequires:	glib2-devel >= 1:2.24.0
BuildRequires:	gobject-introspection-devel >= 0.10.2
BuildRequires:	libffi-devel >= 3.0
BuildRequires:	libtool
BuildRequires:	libxslt-progs >= 1.1.22
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%if %{with python2}
BuildRequires:	python-devel >= 1:2.5.2
BuildRequires:	python-pycairo-devel >= 1.2.0
%pyrequires_eq	python-modules
%endif
%if %{with python3}
BuildRequires:	python3
BuildRequires:	python3-devel
BuildRequires:	python3-modules
BuildRequires:	python3-pycairo-devel >= 1.8.10
%endif
Requires:	glib2 >= 1:2.24.0
Requires:	gobject-introspection >= 0.9.5
Provides:	python-pygtk-gobject
Obsoletes:	python-pygtk-glarea
Obsoletes:	python-pygtk-gobject
Conflicts:	python-pygtk < 1:1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# python provides Py* and _Py* symbols at runtime
%define		skip_post_check_so	libpyglib-2.0-python3?.so.*

%description
Python bindings for GObject library.

%description -l pl.UTF-8
Wiązania Pythona do biblioteki GObject.

%package devel
Summary:	Python bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GObject
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.24.0
Requires:	libffi-devel >= 3.0
Requires:	python-devel >= 1:2.5.2

%description devel
This package contains files required to build wrappers for GObject
addon libraries so that they interoperate with Python bindings.

%description devel -l pl.UTF-8
Pakiet zawiera pliki wymagane do zbudowania funkcji do biblioteki
GObject, tak by mogły te biblioteki kooperować z wiązaniami Pythona.

%package -n python3-pygobject
Summary:	Python 3.x bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona 3.x do biblioteki GObject
Group:		Libraries/Python

%description -n python3-pygobject
Python 3.x bindings for GObject library.

%description -n python3-pygobject -l pl.UTF-8
Wiązania Pythona 3.x do biblioteki GObject.

%package -n python3-pygobject-devel
Summary:	Python bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GObject
Group:		Development/Languages/Python
Requires:	glib2-devel >= 1:2.24.0
Requires:	libffi-devel >= 3.0
Requires:	python3-devel
Requires:	python3-pygobject = %{version}-%{release}

%description -n python3-pygobject-devel
This package contains files required to build wrappers for GObject
addon libraries so that they interoperate with Python bindings.

%description -n python3-pygobject-devel -l pl.UTF-8
Pakiet zawiera pliki wymagane do zbudowania funkcji do biblioteki
GObject, tak by mogły te biblioteki kooperować z wiązaniami Pythona.

%package examples
Summary:	Example programs for GObject library
Summary(pl.UTF-8):	Programy przykładowe dla biblioteki GObject
Group:		Development/Languages/Python
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	python-pygtk

%description examples
This package contains example programs for GObject library.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy dla biblioteki GObject.

%package apidocs
Summary:	pygobject API documentation
Summary(pl.UTF-8):	Dokumentacja API pygobject
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
pygobject API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API pygobject.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%if %{with python3}
mkdir py3
cd py3
../%configure \
	PYTHON=/usr/bin/python3 \
	--disable-introspection \
	--disable-silent-rules
%{__make}
cd ..
%endif
%if %{with python2}
mkdir py2
cd py2
../%configure \
	PYTHON=%{__python} \
	--disable-introspection \
	--disable-silent-rules
%{__make}
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with python3}
%{__make} -C py3 -j 1 install \
	DESTDIR=$RPM_BUILD_ROOT \
	TARGET_DIR=%{_gtkdocdir}/%{module}
%endif
%if %{with python2}
%{__make} -C py2 -j 1 install \
	DESTDIR=$RPM_BUILD_ROOT \
	TARGET_DIR=%{_gtkdocdir}/%{module}
%endif

cp -a examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%if %{with python2}
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/{gtk-2.0/,}*/*.la
%py_comp $RPM_BUILD_ROOT%{_datadir}/%{module}/2.0/codegen
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{module}/2.0/codegen
%py_postclean %{_datadir}/%{module}/2.0/codegen
%endif
%if %{with python3}
%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/*/*.la
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libpyglib-2.0-python.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpyglib-2.0-python.so.0
%dir %{py_sitedir}/gtk-2.0
%dir %{py_sitedir}/gtk-2.0/gio
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gio/_gio.so
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gio/unix.so
%{py_sitedir}/gtk-2.0/gio/*.py[co]
%dir %{py_sitedir}/glib
%attr(755,root,root) %{py_sitedir}/glib/_glib.so
%{py_sitedir}/glib/*.py[co]
%dir %{py_sitedir}/gobject
%attr(755,root,root) %{py_sitedir}/gobject/_gobject.so
%{py_sitedir}/gobject/*.py[co]
%{py_sitedir}/gtk-2.0/*.py[co]
%{py_sitedir}/pygtk.py[co]
%{py_sitedir}/pygtk.pth
%dir %{_datadir}/%{module}
%dir %{_datadir}/%{module}/xsl

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pygobject-codegen-2.0
%attr(755,root,root) %{_libdir}/libpyglib-2.0-python.so
%{_includedir}/pygtk-2.0
%{_pkgconfigdir}/pygobject-2.0.pc
%dir %{_datadir}/%{module}/2.0
%dir %{_datadir}/%{module}/2.0/codegen
%{_datadir}/%{module}/2.0/codegen/*.py[co]
%dir %{_datadir}/%{module}/2.0/defs
%{_datadir}/%{module}/2.0/defs/*.defs
%{_datadir}/%{module}/2.0/defs/*.override
%{_datadir}/%{module}/xsl/*.py
%{_datadir}/%{module}/xsl/*.xsl
%endif

%if %{with python3}
%files -n python3-pygobject
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libpyglib-2.0-python3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpyglib-2.0-python3.so.0
%dir %{py3_sitedir}/gtk-2.0
%dir %{py3_sitedir}/gtk-2.0/gio
%{py3_sitedir}/gtk-2.0/gio/*.py*
#%{py3_sitedir}/gtk-2.0/gio/__pycache__
%dir %{py3_sitedir}/glib
%attr(755,root,root) %{py3_sitedir}/glib/_glib.*so
%{py3_sitedir}/glib/*.py*
#%{py3_sitedir}/glib/__pycache__
%dir %{py3_sitedir}/gobject
%attr(755,root,root) %{py3_sitedir}/gobject/_gobject.*so
%{py3_sitedir}/gobject/*.py*
#%{py3_sitedir}/gobject/__pycache__
%{py3_sitedir}/gtk-2.0/*.py*
#%{py3_sitedir}/gtk-2.0/__pycache__
%{py3_sitedir}/pygtk.py*
%{py3_sitedir}/pygtk.pth
#%{py3_sitedir}/__pycache__

%files -n python3-pygobject-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpyglib-2.0-python3.so
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{module}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pygobject.spec,v $
Revision 1.68  2011/09/28 20:20:50  wiget
- disable instrospection support
- rel. 3

Revision 1.67  2011/07/15 19:35:12  jajcus
- no %py3_postclean (but still no __pycache__ – probably the package must be updated upstream)
- Release: 2

Revision 1.66  2011/06/16 15:02:09  qboosh
- updated to 2.28.6

Revision 1.65  2011/05/22 19:03:49  qboosh
- added pycairo patch (fixes build with python3-based pycairo 1.10.0)

Revision 1.64  2011/04/18 20:40:21  wiget
- up to 2.28.4

Revision 1.63  2011/04/08 08:24:31  jajcus
- bconds fixes

Revision 1.62  2011/03/23 17:01:59  wiget
- up to 2.28.3

Revision 1.61  2011/03/23 09:50:15  wiget
- up to 2.28.2

Revision 1.60  2011/03/21 18:52:27  wiget
- up to 2.28.1

Revision 1.59  2011/03/11 10:23:32  lisu
- oops, my mistake
- rel 3

Revision 1.58  2011/03/11 10:19:12  lisu
- rel 2; avoid parallel install

Revision 1.57  2011/03/11 10:01:24  lisu
- merged with DEVEL
- rel 1

Revision 1.56  2011/02/04 23:40:55  sparky
- %description <name> for correct %package

Revision 1.55.2.4  2011/03/09 13:44:11  wiget
- up to 2.28.0

Revision 1.55.2.3  2011/03/02 16:56:40  wiget
- updated to 2.27.91
- added python3-pygobject-devel subpackage
- force thread support in python3 version
- drop libtool files

Revision 1.55.2.2  2011/02/21 09:43:21  lisu
- up to 2.27.90
- %%files adjusted

Revision 1.55.2.1  2010/11/13 15:48:54  wiget
- 2.27.0

Revision 1.55  2010/11/01 17:41:22  wiget
- python2/3 bconds

Revision 1.54  2010/11/01 16:57:32  wiget
- added python 3.x version
- rel 4

Revision 1.53  2010/10/22 10:19:37  megabajt
- added R: gobject-introspection >= 0.9.5
- release 3

Revision 1.52  2010/10/20 10:48:38  lisu
- change comment

Revision 1.51  2010/10/20 10:43:20  lisu
- comment

Revision 1.50  2010/10/20 08:48:55  lisu
- drop needless -link.patch, leave unresolved symbols and define skip_post_check_so for libpyglib-2.0-python.so.*
- rel 2

Revision 1.49  2010/10/20 08:06:37  qboosh
- updated BRs/Rs versions
- .so perms

Revision 1.48  2010/10/19 13:38:18  lisu
- glib2 >= 1:2.22.4 required

Revision 1.47  2010/10/19 12:59:02  lisu
- BR: python-pycairo >= 1.0.2

Revision 1.46  2010/10/19 12:32:23  lisu
- updated to 2.26.0
- drop unused gobject-introspection.patch
- add -link.patch which forces link with -lpython to avoid unresolved symbols
- files

Revision 1.45  2010/07/22 18:03:00  patrys
- patched for new gobject-introspection

Revision 1.44  2010/07/08 11:59:11  arekm
- release 4

Revision 1.43  2010/07/08 08:30:42  arekm
- release 3

Revision 1.42  2009/11/03 19:57:27  wiget
- fix codegen tool
- release 2

Revision 1.41  2009/10/30 18:58:15  megabajt
- updated to 2.20.0

Revision 1.40  2009/07/15 18:35:04  deejay1
- updated to 2.18.0

Revision 1.39  2009/03/11 20:06:46  qboosh
- libpyglib-2.0.la added to -devel

Revision 1.38  2009/03/11 19:35:52  qboosh
- libpyglib-2.0.so symlink moved to -devel

Revision 1.37  2009/02/22 11:32:44  megabajt
- updated to 2.16.1

Revision 1.36  2009/02/15 23:38:15  megabajt
- codegen moved to -devel subpackage
- added -pyc.patch

Revision 1.35  2009/02/08 12:31:36  duddits
- up to 2.16.0
- pc.patch updated
- %post/%postun section added
- more %files
- cleaning

Revision 1.34  2008/11/16 09:39:25  qboosh
- reverted unfinished upgrade (2.15.x already on DEVEL)

Revision 1.32  2008/11/04 20:25:21  sls
- BR: pkgconfig

Revision 1.31  2008/10/03 17:57:00  arekm
- release 2

Revision 1.30  2008-05-23 21:34:39  megabajt
- updated to 2.14.2
- removed -m4.patch (applied upstream)

Revision 1.29  2008-05-16 13:30:16  matkor
- Release 2. Provides: python-pygtk-gobject. Should help with update in Ac.

Revision 1.28  2008-01-04 10:31:25  megabajt
- updated to 2.14.1

Revision 1.27  2007-09-17 17:49:33  qboosh
- -devel R: libffi-devel

Revision 1.26  2007/09/16 15:00:18  megabajt
- missing BR: libffi-devel

Revision 1.25  2007/09/16 14:38:00  megabajt
- updated to 2.14.0
- added m4 patch

Revision 1.24  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.22  2006/11/20 14:26:13  megabajt
- up to 2.12.3

Revision 1.21  2006/10/04 19:11:35  grzegol
- updated to 2.12.2
- removed outdated py25 patch (applied upstream)

Revision 1.20  2006/09/29 14:30:51  wiget
- added py25.patch - fix some warnings

Revision 1.19  2006/09/27 18:26:52  wrobell
- rel. 6 to rebuild with python 2.5 (final)

Revision 1.18  2006/09/09 16:19:08  arekm
- rel 5

Revision 1.17  2006/09/06 18:11:46  grzegol
- added pc patch (fixes pygdocs variable in pygobject-2.0.pc)
- rel. 4

Revision 1.16  2006/09/05 16:45:13  wiget
- don't duplicate apidocs in devel

Revision 1.15  2006/09/05 16:11:52  wiget
- place apidocs in pygobject not python-pygobject subdir, release 2

Revision 1.14  2006/09/05 14:21:43  wiget
- updated to 2.12.1

Revision 1.13  2006/09/04 21:51:52  grzegol
- updated to 2.12.0
- removed jhflags.m4, python.m4 and as-ac-expand.m4 sources (already
  included in tarball)

Revision 1.12  2006/08/28 12:42:00  grzegol
- 2.11.4

Revision 1.11  2006/08/27 10:52:59  havner
- rebuild with 2.5
- rel 2

Revision 1.10  2006/08/26 17:17:43  qboosh
- needs am >= 1.7

Revision 1.9  2006/08/21 20:00:19  freetz
- 2.11.3, removed typename patch (already in sources), updated deps,
 added as-ac-expand.m4 to sources

Revision 1.8  2006/08/13 21:29:29  grzegol
- added typename patch (s/typename/typename_/ in pygobject.h, because
  typename is C++ keyword)
- rel. 2

Revision 1.7  2006/08/10 20:26:52  freetz
- apidocs subpkg

Revision 1.6  2006/08/10 20:17:04  freetz
- 2.11.2, removed obsolete shade_verbatim patch, update file list

Revision 1.5  2006/08/07 20:16:21  freetz
- rel.3, added shade_verbatim patch

Revision 1.4  2006/08/07 15:59:56  freetz
- packaged xsl files, rel.2

Revision 1.3  2006/08/07 15:48:54  freetz
- 2.11.1, updated file list

Revision 1.2  2006/07/12 18:25:56  freetz
- 2.11.0, updated deps and file list

Revision 1.1  2006/06/07 12:18:02  freetz
- intial, based on pygtk spec
